Panda3D

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | List of all members
VrmlNodeType Class Reference

## Classes
struct | NameTypeRec

## Public Member Functions
| VrmlNodeType (const char *nm)
void | addEventIn (const char *name, int type, const VrmlFieldValue *dflt=nullptr)
void | addEventOut (const char *name, int type, const VrmlFieldValue *dflt=nullptr)
void | addExposedField (const char *name, int type, const VrmlFieldValue *dflt=nullptr)
void | addField (const char *name, int type, const VrmlFieldValue *dflt=nullptr)
const char * | getName () const
const NameTypeRec * | hasEventIn (const char *name) const
const NameTypeRec * | hasEventOut (const char *name) const
const NameTypeRec * | hasExposedField (const char *name) const
const NameTypeRec * | hasField (const char *name) const

## Static Public Member Functions
static void | addToNameSpace (VrmlNodeType *)
static const VrmlNodeType * | find (const char *nm)
static void | popNameSpace ()
static void | pushNameSpace ()

## Detailed Description

Definition at line 49 of file vrmlNodeType.h.

## Constructor & Destructor Documentation

## ◆ VrmlNodeType()

VrmlNodeType::VrmlNodeType | ( | const char * | nm | ) |

Definition at line 148 of file vrmlNodeType.cxx.

## ◆ ~VrmlNodeType()

VrmlNodeType::~VrmlNodeType | ( |  | ) |

Definition at line 154 of file vrmlNodeType.cxx.

## Member Function Documentation

## ◆ addEventIn()

void VrmlNodeType::addEventIn | ( | const char * | name,
|  | int | type,
|  | const VrmlFieldValue * | dflt = nullptr )

Definition at line 237 of file vrmlNodeType.cxx.

## ◆ addEventOut()

void VrmlNodeType::addEventOut | ( | const char * | name,
|  | int | type,
|  | const VrmlFieldValue * | dflt = nullptr )

Definition at line 243 of file vrmlNodeType.cxx.

## ◆ addExposedField()

void VrmlNodeType::addExposedField | ( | const char * | name,
|  | int | type,
|  | const VrmlFieldValue * | dflt = nullptr )

Definition at line 255 of file vrmlNodeType.cxx.

## ◆ addField()

void VrmlNodeType::addField | ( | const char * | name,
|  | int | type,
|  | const VrmlFieldValue * | dflt = nullptr )

Definition at line 249 of file vrmlNodeType.cxx.

## ◆ addToNameSpace()

void VrmlNodeType::addToNameSpace | ( | VrmlNodeType * | _type | ) |
| static

Definition at line 179 of file vrmlNodeType.cxx.

## ◆ find()

const VrmlNodeType * VrmlNodeType::find | ( | const char * | nm | ) |
| static

Definition at line 223 of file vrmlNodeType.cxx.

## ◆ getName()

const char * VrmlNodeType::getName | ( |  | ) | const
| inline

Definition at line 92 of file vrmlNodeType.h.

## ◆ hasEventIn()

const VrmlNodeType::NameTypeRec * VrmlNodeType::hasEventIn | ( | const char * | name | ) | const

Definition at line 282 of file vrmlNodeType.cxx.

## ◆ hasEventOut()

const VrmlNodeType::NameTypeRec * VrmlNodeType::hasEventOut | ( | const char * | name | ) | const

Definition at line 288 of file vrmlNodeType.cxx.

## ◆ hasExposedField()

const VrmlNodeType::NameTypeRec * VrmlNodeType::hasExposedField | ( | const char * | name | ) | const

Definition at line 300 of file vrmlNodeType.cxx.

## ◆ hasField()

const VrmlNodeType::NameTypeRec * VrmlNodeType::hasField | ( | const char * | name | ) | const

Definition at line 294 of file vrmlNodeType.cxx.

## ◆ popNameSpace()

void VrmlNodeType::popNameSpace | ( |  | ) |
| static

Definition at line 200 of file vrmlNodeType.cxx.

## ◆ pushNameSpace()

void VrmlNodeType::pushNameSpace | ( |  | ) |
| static

Definition at line 194 of file vrmlNodeType.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/vrml/vrmlNodeType.h
- pandatool/src/vrml/vrmlNodeType.cxx